auth/status
GET
/auth/statusShow the current authenticated CloudX identity for the bearer token. Returns the organization, account, API key, and permission details.
Request
cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/auth/status" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Responses
Authenticated user and session state.
{
"auth_type": "api_key",
"email": "<string>",
"workos_user_id": "<string>",
"workos_organization_id": "<string>",
"account_id": "<string>",
"user_id": "<string>",
"session_id": "<string>",
"role": "<string>",
"expires_at": "<string>",
"api_key_id": "<string>",
"api_key_name": "<string>",
"api_key_obfuscated_value": "<string>",
"account_type": "<string>",
"permissions": [
"<string>"
]
}200 Authenticated user and session state.
| Field | Type | Description |
|---|---|---|
auth_type | string | |
email | string | |
workos_user_id | string | |
workos_organization_idrequired | string | |
account_id | string | |
user_id | string | |
session_id | string | |
role | string | |
expires_at | string | |
api_key_id | string | |
api_key_name | string | |
api_key_obfuscated_value | string | |
account_type | string | |
permissions | array of string |
401 Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500 Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |